; Dan's Command File.

;-| Button Remapping |-----------------------------------------------------
; This section lets you remap the player's buttons (to easily change the
; button configuration). The format is:
;   old_button = new_button
; If new_button is left blank, the button cannot be pressed.
[Remap]
x = x
y = y
z = z
a = a
b = b
c = c
s = s

;-| Default Values |-------------------------------------------------------
[Defaults]
; Default value for the "time" parameter of a Command. Minimum 1.
command.time = 20

; Default value for the "buffer.time" parameter of a Command. Minimum 1,
; maximum 30.
command.buffer.time = 1

;-| Super Motions |--------------------------------------------------------
; Koryuu Rekka
[Command]
name = "krekka_a"
command = ~D, DF, F, D, DF, F, a
[Command]
name = "krekka_a"
command = ~D, DF, F, D, DF, F, ~a
[Command]
name = "krekka_b"
command = ~D, DF, F, D, DF, F, b
[Command]
name = "krekka_b"
command = ~D, DF, F, D, DF, F, ~b
[Command]
name = "krekka_c"
command = ~D, DF, F, D, DF, F, c
[Command]
name = "krekka_c"
command = ~D, DF, F, D, DF, F, ~c

; Shinkuu Gadoken
[Command]
name = "shadoken_x"
command = ~D, DF, F, D, DF, F, x
[Command]
name = "shadoken_x"
command = ~D, DF, F, D, DF, F, ~x
[Command]
name = "shadoken_y"
command = ~D, DF, F, D, DF, F, y
[Command]
name = "shadoken_y"
command = ~D, DF, F, D, DF, F, ~y
[Command]
name = "shadoken_z"
command = ~D, DF, F, D, DF, F, z
[Command]
name = "shadoken_z"
command = ~D, DF, F, D, DF, F, ~z

; Desperation (Hisshou Muraiken)
[Command]
name = "hmuraiken_a"
command = ~D, DB, B, D, DB, B, a
[Command]
name = "hmuraiken_a"
command = ~D, DB, B, D, DB, B, ~a
[Command]
name = "hmuraiken_b"
command = ~D, DB, B, D, DB, B, b
[Command]
name = "hmuraiken_b"
command = ~D, DB, B, D, DB, B, ~b
[Command]
name = "hmuraiken_c"
command = ~D, DB, B, D, DB, B, c
[Command]
name = "hmuraiken_c"
command = ~D, DB, B, D, DB, B, ~c

;-| Special Motions |------------------------------------------------------
; Koryuken
[Command]
name = "shoryuken_x"
command = ~F, D, DF, x
[Command]
name = "shoryuken_x"
command = ~F, D, DF, ~x
[Command]
name = "shoryuken_y"
command = ~F, D, DF, y
[Command]
name = "shoryuken_y"
command = ~F, D, DF, ~y
[Command]
name = "shoryuken_z"
command = ~F, D, DF, z
[Command]
name = "shoryuken_z"
command = ~F, D, DF, ~z

; Gadoken
[Command]
name = "hadoken_x"
command = ~D, DF, F, x
[Command]
name = "hadoken_x"
command = ~D, DF, F, ~x
[Command]
name = "hadoken_y"
command = ~D, DF, F, y
[Command]
name = "hadoken_y"
command = ~D, DF, F, ~y
[Command]
name = "hadoken_z"
command = ~D, DF, F, z
[Command]
name = "hadoken_z"
command = ~D, DF, F, ~z

; Gale Kick (Dankuu Kyaku)
[Command]
name = "gkick_a"
command = ~D, DB, B, a
[Command]
name = "gkick_a"
command = ~D, DB, B, ~a
[Command]
name = "gkick_b"
command = ~D, DB, B, b
[Command]
name = "gkick_b"
command = ~D, DB, B, ~b
[Command]
name = "gkick_c"
command = ~D, DB, B, c
[Command]
name = "gkick_c"
command = ~D, DB, B, ~c

; Alpha/Zero Counter
[Command]
name = "counter_k"
command = ~B, DB, D, a
[Command]
name = "counter_k"
command = ~B, DB, D, ~a
[Command]
name = "counter_k"
command = ~B, DB, D, b
[Command]
name = "counter_k"
command = ~B, DB, D, ~b
[Command]
name = "counter_k"
command = ~B, DB, D, c
[Command]
name = "counter_k"
command = ~B, DB, D, ~c

; Recovery Roll
[Command]
name = "recoveryroll_x"
command = ~B, DB, D, x
[Command]
name = "recoveryroll_x"
command = ~B, DB, D, ~x
[Command]
name = "recoveryroll_y"
command = ~B, DB, D, y
[Command]
name = "recoveryroll_y"
command = ~B, DB, D, ~y
[Command]
name = "recoveryroll_z"
command = ~B, DB, D, z
[Command]
name = "recoveryroll_z"
command = ~B, DB, D, ~z

;-| Double Tap |-----------------------------------------------------------
[Command]
name = "FF"     ;Required (do not remove)
command = F, F
time = 10

[Command]
name = "BB"     ;Required (do not remove)
command = B, B
time = 10

;-| 2/3 Button Combination |-----------------------------------------------
[Command]
name = "recovery" ;Required (do not remove)
command = x+y
time = 1

[Command]
name = "recovery"
command = y+z
time = 1

[Command]
name = "recovery"
command = x+z
time = 1

[Command]
name = "recovery"
command = a+b
time = 1

[Command]
name = "recovery"
command = b+c
time = 1

[Command]
name = "recovery"
command = a+c
time = 1

;-| Dir + Button |---------------------------------------------------------
[Command]
name = "back_x"
command = /$B,x
time = 1

[Command]
name = "back_y"
command = /$B,y
time = 1

[Command]
name = "back_z"
command = /$B,z
time = 1

[Command]
name = "down_x"
command = /$D,x
time = 1

[Command]
name = "down_y"
command = /$D,y
time = 1

[Command]
name = "down_z"
command = /$D,z
time = 1

[Command]
name = "fwd_x"
command = /$F,x
time = 1

[Command]
name = "fwd_y"
command = /$F,y
time = 1

[Command]
name = "fwd_z"
command = /$F,z
time = 1

[Command]
name = "up_x"
command = /$U,x
time = 1

[Command]
name = "up_y"
command = /$U,y
time = 1

[Command]
name = "up_z"
command = /$U,z
time = 1

[Command]
name = "back_a"
command = /$B,a
time = 1

[Command]
name = "back_b"
command = /$B,b
time = 1

[Command]
name = "back_c"
command = /$B,c
time = 1

[Command]
name = "down_a"
command = /$D,a
time = 1

[Command]
name = "down_b"
command = /$D,b
time = 1

[Command]
name = "down_c"
command = /$D,c
time = 1

[Command]
name = "fwd_a"
command = /$F,a
time = 1

[Command]
name = "fwd_b"
command = /$F,b
time = 1

[Command]
name = "fwd_c"
command = /$F,c
time = 1

[Command]
name = "up_a"
command = /$U,a
time = 1

[Command]
name = "up_b"
command = /$U,b
time = 1

[Command]
name = "up_c"
command = /$U,c
time = 1

;-| Single Button |---------------------------------------------------------
[Command]
name = "fwd"
command = $F
time = 1

[Command]
name = "down"
command = $D
time = 1

[Command]
name = "back"
command = $B
time = 1

[Command]
name = "up"
command = $U
time = 1

[Command]
name = "a"
command = a
time = 1

[Command]
name = "b"
command = b
time = 1

[Command]
name = "c"
command = c
time = 1

[Command]
name = "x"
command = x
time = 1

[Command]
name = "y"
command = y
time = 1

[Command]
name = "z"
command = z
time = 1

[Command]
name = "s"
command = s
time = 1

;-| Hold Button |--------------------------------------------------------------
[Command]
name = "hold_x"
command = /x
time = 1

[Command]
name = "hold_y"
command = /y
time = 1

[Command]
name = "hold_z"
command = /z
time = 1

[Command]
name = "hold_a"
command = /a
time = 1

[Command]
name = "hold_b"
command = /b
time = 1

[Command]
name = "hold_c"
command = /c
time = 1

[Command]
name = "hold_s"
command = /s
time = 1

;-| Hold Dir |--------------------------------------------------------------
[Command]
name = "holdfwd" ;Required (do not remove)
command = /$F
time = 1

[Command]
name = "holddownfwd"
command = /$DF
time = 1

[Command]
name = "holddown" ;Required (do not remove)
command = /$D
time = 1

[Command]
name = "holddownback"
command = /$DB
time = 1

[Command]
name = "holdback" ;Required (do not remove)
command = /$B
time = 1

[Command]
name = "holdupback"
command = /$UB
time = 1

[Command]
name = "holdup" ;Required (do not remove)
command = /$U
time = 1

[Command]
name = "holdupfwd"
command = /$UF
time = 1

;---------------------------------------------------------------------------
; Don't remove the following line. It's required by the CMD standard.
[Statedef -1]

;---------------------------------------------------------------------------
;===== Contact/Hit/Guard =====
;----- MoveContact -----
[State -1, VarSet]
type = VarSet
trigger1 = Time <= 1
trigger2 = StateTime <= 1
ignorehitpause = 1
v = 12
value = 0

[State -1, VarAdd]
type = VarAdd
trigger1 = MoveContact
trigger1 = StateNo < 5000
ignorehitpause = 1
v = 12
value = 1
;--------------------

;----- MoveHit -----
[State -1, VarSet]
type = VarSet
trigger1 = Time <= 1
trigger2 = StateTime <= 1
ignorehitpause = 1
v = 13
value = 0

[State -1, VarAdd]
type = VarAdd
trigger1 = MoveHit
trigger1 = StateNo < 5000
ignorehitpause = 1
v = 13
value = 1
;--------------------

;----- MoveGuarded -----
[State -1, VarSet]
type = VarSet
trigger1 = Time <= 1
trigger2 = StateTime <= 1
ignorehitpause = 1
v = 14
value = 0

[State -1, VarAdd]
type = VarAdd
trigger1 = MoveGuarded
trigger1 = StateNo < 5000
ignorehitpause = 1
v = 14
value = 1
;--------------------
;=========================

;===========================================================================
;---------------------------------------------------------------------------
; Super Moves
;---------------------------------------------------------------------------
; Koryuu Rekka
[State -1, State]
type = ChangeState
value = 2000
triggerall = power >= 1000
triggerall = command = "krekka_a" || command = "krekka_b" || command = "krekka_c"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = Var(12) > 0
trigger2 = StateNo != 240
trigger2 = StateNo != 250
trigger2 = StateNo < 1000

;---------------------------------------------------------------------------
; Desperation (Hisshou Muraiken)
[State -1, State]
type = ChangeState
value = 2100
triggerall = power >= 1000
triggerall = command = "hmuraiken_a" || command = "hmuraiken_b" || command = "hmuraiken_c"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = Var(12) > 0
trigger2 = StateNo != 240
trigger2 = StateNo != 250
trigger2 = StateNo < 1000

;---------------------------------------------------------------------------
; Shinkuu Gadoken
[State -1, State]
type = ChangeState
value = 2200
triggerall = power >= 1000
triggerall = NumHelper(1210) <= 0
triggerall = command = "shadoken_x" || command = "shadoken_y" || command = "shadoken_z"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = Var(12) > 0
trigger2 = StateNo != 240
trigger2 = StateNo != 250
trigger2 = StateNo < 1000

;===========================================================================
;---------------------------------------------------------------------------
; Special Moves
;---------------------------------------------------------------------------
; Alpha/Zero Counter
[State -1, State]
type = ChangeState
value = 900
triggerall = power >= 1000
triggerall = command = "counter_k"
triggerall = gethitvar(hitshaketime) > 0 || hitshakeover = 0
trigger1 = statetype != A
trigger1 = stateno >= 150
trigger1 = stateno < 160

;---------------------------------------------------------------------------
; Koryuken
[State -1, State]
type = ChangeState
value = 1000
triggerall = command = "shoryuken_x" || command = "shoryuken_y" || command = "shoryuken_z"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = Var(12) > 0
trigger2 = StateNo != 240
trigger2 = StateNo != 250
trigger2 = StateNo < 1000

;---------------------------------------------------------------------------
; Gale Kick (Dankuu Kyaku)
[State -1, State]
type = ChangeState
value = 1100
triggerall = command = "gkick_a" || command = "gkick_b" || command = "gkick_c"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = Var(12) > 0
trigger2 = StateNo != 240
trigger2 = StateNo != 250
trigger2 = StateNo < 1000

;---------------------------------------------------------------------------
; Gadoken
[State -1, State]
type = ChangeState
value = 1200
triggerall = NumHelper(1210) <= 0
triggerall = command = "hadoken_x" || command = "hadoken_y" || command = "hadoken_z"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = Var(12) > 0
trigger2 = StateNo != 240
trigger2 = StateNo != 250
trigger2 = StateNo < 1000

;===========================================================================
;---------------------------------------------------------------------------
; Throw
[State -1, Attack]
type = ChangeState
value = 800
triggerall = command = "y" || command = "z"
triggerall = statetype = S
triggerall = ctrl
triggerall = stateno != 100
trigger1 = command = "holdfwd"
trigger1 = p2bodydist X <= 15
trigger1 = (p2statetype = S) || (p2statetype = C)
trigger1 = p2movetype != H || p2stateno = 5300
trigger2 = command = "holdback"
trigger2 = p2bodydist X <= 15
trigger2 = (p2statetype = S) || (p2statetype = C)
trigger2 = p2movetype != H || p2stateno = 5300

;===========================================================================
;---------------------------------------------------------------------------
; Basic Moves
;---------------------------------------------------------------------------
;===========================================================================
;---------------------------------------------------------------------------
; Taunt
[State -1, State]
type = ChangeState
value = 195
triggerall = command = "s"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = StateTime < 10
trigger2 = StateNo >= 200
trigger2 = StateNo <= 290
trigger3 = StateTime < 10
trigger3 = StateNo >= 400
trigger3 = StateNo <= 490
ignorehitpause = 1

;---------------------------------------------------------------------------
; Stand Light Punch
[State -1, State]
type = ChangeState
value = 200
triggerall = command = "x"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl

;---------------------------------------------------------------------------
; Stand Medium Punch
[State -1, State]
type = ChangeState
value = 210
triggerall = command = "y"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl

;---------------------------------------------------------------------------
; Stand Strong Punch
[State -1, State]
type = ChangeState
value = 220
triggerall = command = "z"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl

;---------------------------------------------------------------------------
; Stand Light Kick
[State -1, State]
type = ChangeState
value = 230
triggerall = command = "a"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl

;---------------------------------------------------------------------------
; Stand Medium Kick
[State -1, State]
type = ChangeState
value = 240
triggerall = command = "b"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl

;---------------------------------------------------------------------------
; Stand Strong Kick
[State -1, State]
type = ChangeState
value = 250
triggerall = command = "c"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl

;---------------------------------------------------------------------------
; Crouch Light Punch
[State -1, State]
type = ChangeState
value = 400
triggerall = command = "x"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl
trigger2 = stateno = 400
trigger2 = statetime >= 5

;---------------------------------------------------------------------------
; Crouch Medium Punch
[State -1, State]
type = ChangeState
value = 410
triggerall = command = "y"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl

;---------------------------------------------------------------------------
; Crouch Strong Punch
[State -1, State]
type = ChangeState
value = 420
triggerall = command = "z"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl

;---------------------------------------------------------------------------
; Crouch Light Kick
[State -1, State]
type = ChangeState
value = 430
triggerall = command = "a"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl

;---------------------------------------------------------------------------
; Crouch Medium Kick
[State -1, State]
type = ChangeState
value = 440
triggerall = command = "b"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl

;---------------------------------------------------------------------------
; Crouch Strong Kick
[State -1, State]
type = ChangeState
value = 450
triggerall = command = "c"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl

;---------------------------------------------------------------------------
; Jump Light Punch
[State -1, State]
type = ChangeState
value = 600
triggerall = command = "x"
trigger1 = statetype = A
trigger1 = ctrl

;---------------------------------------------------------------------------
; Jump Medium Punch
[State -1, State]
type = ChangeState
value = 610
triggerall = command = "y"
trigger1 = statetype = A
trigger1 = ctrl

;---------------------------------------------------------------------------
; Jump Strong Punch
[State -1, State]
type = ChangeState
value = 620
triggerall = command = "z"
trigger1 = statetype = A
trigger1 = ctrl

;---------------------------------------------------------------------------
; Jump Light Kick
[State -1, State]
type = ChangeState
value = 630
triggerall = command = "a"
trigger1 = statetype = A
trigger1 = ctrl

;---------------------------------------------------------------------------
; Jump Medium Kick
[State -1, State]
type = ChangeState
value = 640
triggerall = command = "b"
trigger1 = statetype = A
trigger1 = ctrl

;---------------------------------------------------------------------------
; Jump Strong Kick
[State -1, State]
type = ChangeState
value = 650
triggerall = command = "c"
trigger1 = statetype = A
trigger1 = ctrl

;---------------------------------------------------------------------------
;===========================================================================
